package com.link.ext.emp.controller;

import com.link.ext.basic.controller.BasicExtController;
import com.link.ext.basic.service.BasicExtService;
import com.link.ext.emp.model.Employee;
import com.link.ext.emp.service.EmployeeService;
import javax.annotation.Resource;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller("EmployeeController")
@RequestMapping({"/link/employeeExt"})
public class EmployeeController extends BasicExtController<Employee> {
   @Resource
   private EmployeeService employeeService;

   public BasicExtService<Employee> getBasicService() throws Exception {
      return this.employeeService;
   }
}
